package cn.net.cpzslibs.prot.handset.bean;
/**
 * 盘库json解析使用
 * 
 * @author zwj
 * 
 *         2015-9-7
 */
public class Prot33PankuBean {
	private String rukuNum;
	private String chukuNum;
	private String fankuNum;
	private String productName;
	public String getRukuNum() {
		return rukuNum;
	}
	public String getChukuNum() {
		return chukuNum;
	}
	public String getFankuNum() {
		return fankuNum;
	}
	public String getProductName() {
		return productName;
	}
	//如果产品名称是空的，就返回  :无
	public String getProductNameDefault() {
		if(null==productName||"".equals(productName)){
			return "无";
		}
		return productName;
	}
//库存
	public String getKucunNum() {
		int iKucun = Integer.valueOf(rukuNum) - Integer.valueOf(chukuNum) + Integer.valueOf(fankuNum);
		return String.valueOf(iKucun);
	}

}
